Page MenuHomePhabricator

Introduce a maintenance script that takes abstract schema(changes|) and gives out raw SQL
Closed, ResolvedPublic

Description

This is needed for A - Testing if schema(changes|) work as expected B - Let our DBAs have raw SQL for the schema changes. It is also needed to to make addWiki.php work with the abstract schema changes.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2019, 3:00 PM

Change 565741 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Introduce maintenance/generateSchemaSql.php

https://gerrit.wikimedia.org/r/565741

I guess the question is who to provide "External Code Review"...

Aklapper renamed this task from Introduce a maintance script that takes abstract schema(changes|) and gives out raw SQL to Introduce a maintenance script that takes abstract schema(changes|) and gives out raw SQL.Feb 8 2020, 1:35 PM
daniel triaged this task as Medium priority.Apr 8 2020, 11:29 AM

Change 565741 merged by jenkins-bot:
[mediawiki/core@master] Introduce maintenance/generateSchemaSql.php

https://gerrit.wikimedia.org/r/565741

Ladsgroup closed this task as Resolved.May 8 2020, 10:09 PM
Ladsgroup claimed this task.

It's done.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 8 2020, 10:09 PM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.May 8 2020, 10:15 PM